org.apache.fop.traits

## Class RuleStyle

- java.lang.Object
- - org.apache.fop.traits.TraitEnum
  - - org.apache.fop.traits.RuleStyle

All Implemented Interfaces:
  Serializable

    public final class RuleStyle
    extends TraitEnum

Enumeration class for rule styles.

See Also:
  Serialized Form

### Field Summary

Fields
`static RuleStyle` `DASHED` rule-style: dashed
`static RuleStyle` `DOTTED` rule-style: dotted
`static RuleStyle` `DOUBLE` rule-style: double
`static RuleStyle` `GROOVE` rule-style: groove
`static RuleStyle` `NONE` rule-style: none
`static RuleStyle` `RIDGE` rule-style: ridge
`static RuleStyle` `SOLID` rule-style: solid

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static RuleStyle` `valueOf(int enumValue)` Returns the enumeration/singleton object based on its name.
`static RuleStyle` `valueOf(String name)` Returns the enumeration/singleton object based on its name.

### Methods inherited from class org.apache.fop.traits.TraitEnum

`getEnumValue, getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NONE

    public static final RuleStyle NONE

rule-style: none

#### DOTTED

    public static final RuleStyle DOTTED

rule-style: dotted

#### DASHED

    public static final RuleStyle DASHED

rule-style: dashed

#### SOLID

    public static final RuleStyle SOLID

rule-style: solid

#### DOUBLE

    public static final RuleStyle DOUBLE

rule-style: double

#### GROOVE

    public static final RuleStyle GROOVE

rule-style: groove

#### RIDGE

    public static final RuleStyle RIDGE

rule-style: ridge

### Method Detail

#### valueOf

    public static RuleStyle valueOf(String name)

Returns the enumeration/singleton object based on its name.

Parameters:
  `name` - the name of the enumeration value
Returns:
  the enumeration object

#### valueOf

    public static RuleStyle valueOf(int enumValue)

Returns the enumeration/singleton object based on its name.

Parameters:
  `enumValue` - the enumeration value
Returns:
  the enumeration object

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`